java.lang

## Class LinkageError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ClassCircularityError, ClassFormatError, ExceptionInInitializerError, IncompatibleClassChangeError, NoClassDefFoundError, UnsatisfiedLinkError, VerifyError

    public class LinkageError
    extends Error

Subclasses of `LinkageError` indicate that a class has some dependency on another class; however, the latter class has incompatibly changed after the compilation of the former class.

Since:
  JDK1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LinkageError()` Constructs a `LinkageError` with no detail message.
`LinkageError(String s)` Constructs a `LinkageError` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LinkageError

    public LinkageError()

Constructs a `LinkageError` with no detail message.

#### LinkageError

    public LinkageError(String s)

Constructs a `LinkageError` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.